#!/bin/sh

apt-get clean
apt-get update
apt-get -f install mrtg  rrdtool librrds-perl

cp /home/sysadmin/setup/sysadmin.conf /etc/apache2/conf.d

/etc/init.d/apache2 restart

#!!! Change path in /home/sysadmin/sysadmin.ini
echo >> /etc/sudoers
echo "www-data ALL=NOPASSWD: /home/sysadmin/bin/shwarper.sh" >> /etc/sudoers
echo >> /etc/sudoers

echo "CONFIG_INI=\""`cat /etc/passwd | grep :1000: | cut -d ":" -f 6`""\"  > /home/sysadmin/sysadmin.ini

chmod 0777 data
chown www-data.www-data /home/sysadmin/.htpasswd

#firewall
iptables -N CLIENT_TRAFFIC
iptables -A INPUT -i eth0 -j CLIENT_TRAFFIC
iptables -A OUTPUT -o eth0 -j CLIENT_TRAFFIC
iptables -A FORWARD -j CLIENT_TRAFFIC

touch  /etc/cron.d/mrtg-x
echo "*/5 *   * * *   root    env LANG=C mrtg /home/sysadmin/data/mrtg.cfg" >>/etc/cron.d/mrtg-x
echo "*/5 *   * * *   root    /home/sysadmin/bin/ctraffic.sh" >>/etc/cron.d/mrtg-x

/etc/init.d/cron restart
