<?
/*#################################################
#	RRD STAT Collector by Tan Suwandecha
#	stan.rx [=at=] gmail.com
#	This is distributed under GPL licence
#################################################*/

include_once "../include/fnc.waninfo.php";
include_once("../include/utility.php");
#########################
$rra_dir="/home/sysadmin/data/mrtg-client/";
$rrd_bin="/usr/bin/rrdtool";
#########################
$now=date("d/m/y H:i:s");
echo "[$now] : Start STAT.PHP \n";
$miface=lanIface();
if (!eregi("CLIENT_TRAFFIC", runIPT("-L CLIENT_TRAFFIC")))
		runIPT("-N CLIENT_TRAFFIC");


$data=split("\n",runIPT("-L CLIENT_TRAFFIC -n -v -x"));
$ipinfo=ipCalc("{$miface["IP_ADDRESS"]} {$miface["NETMASK"]}");

for($i=1;$i<=$ipinfo["numhost"];$i++){
		$ipmon=long2ip(ip2long($ipinfo["hostmin"])+$i-1);
		$foundin=$foundout=0;
		$in=$out=0;
	foreach ($data as $val){
			$ipreg=str_replace(".","\.",$ipmon);
			if (preg_match("/^([0-9]+)[\ ]+([0-9]+).*?0\.0\.0\.0\/0[\ ]+$ipreg$/i",trim($val),$matches)){
				$out=$matches[2]; 
				$foundin=1;
				//print "d $val\n";
			}
			//print "/^([0-9]+)[\ ]+([0-9]+)[.*?]{$ipreg}[\ ]+[0\.0\.0\.0\/0]$/i\n";
			if (preg_match("/^([0-9]+)[\ ]+([0-9]+).*?{$ipreg}[\ ]+0\.0\.0\.0\/0$/i",trim($val),$matches)){
				$in=$matches[2];
				$foundout=1;
				
				//print "s $val\n";
			}
			if ($foundout && $foundin)
				break;
		
	}

	if (!$foundin){
		runIPT("-A CLIENT_TRAFFIC -d $ipmon");
	}

	if (!$foundout){
		runIPT("-A CLIENT_TRAFFIC -s $ipmon");
	}
	rrdupdate("client_$ipmon",$in,$out);
	//echo "$ipmon = $in / $out \n";
}



function runIPT($opt){
	$content="";
	$handle= popen("/sbin/iptables $opt ","r");
	while (!feof($handle)) {
		  $content.=fread($handle, 8192);
	
	}
	pclose($handle);

	return $content;
}

function getLast($rrdfile){
	global $rra_dir,$rrd_bin;
	$handle= popen("$rrd_bin lastupdate $rrdfile","r");
	while (!feof($handle)) {
		  $content.=fread($handle, 8192);
	
	}
	pclose($handle);
	preg_match("/[0-9]+:[\ ]+([0-9]+)[\ ]+([0-9]+)$/i",trim($content),$matches);

	return array($matches[1],$matches[2]);
}



function rrdupdate($uname,$newin,$newout)
{ global $rra_dir,$rrd_bin;
	
	$bname=$rra_dir.$uname.".rrd";
	$fp = @fopen($bname,"r");
	if ($fp)
	{
		//$last=getLast($bname);
		$bwin=$newin;
		$bwout=$newout;
		$out=exec("$rrd_bin update $bname    N:$bwin:$bwout");
			//print $uname. " -> ".$bwin." / ".$bwout ."\n";
	}else
	{
		$out=exec("$rrd_bin create $bname  --step 300  DS:ds0:COUNTER:600:0:100000000 DS:ds1:COUNTER:600:0:100000000 RRA:AVERAGE:0.5:1:600 RRA:MIN:0.5:1:600  RRA:MAX:0.5:1:600");
	}

}

?>