var shState=Array();
var refreshDelay =10;
var cnt=refreshDelay;


function fxShowHide(item){
	if ( shState[item] == null || shState[item] == 1)
	{
		Effect.BlindUp(item);
		shState[item]=0;
	}else{
		Effect.BlindDown(item); 
		shState[item]=1;
	}
	return false;
}
/*
 *   Converts file & folder byte size values to more  
 *   readable values (bytes, KB, MB, GB or TB).
 *
 *   @param integer bytes
 *   @returns string
 */
Math.formatBytes = function(bytes,unitS) {
    var size;
    var unit;
    
    // Terabytes (TB).
    if ( bytes >= 1099511627776 ) { 
        size = bytes / 1099511627776;
		unit = ' T'; 
    
    // Gigabytes (GB).
    } else if ( bytes >= 1073741824 ) { 
        size = bytes / 1073741824;
		unit = ' G';

    // Megabytes (MB).
    } else if ( bytes >= 1048576 ) { 
        size = bytes / 1048576;
		unit = ' M';

    // Kilobytes (KB).
    } else if ( bytes >= 1024 ) { 
        size = bytes / 1024;
		unit = ' K';

    // The file is less than one KB
    } else {
        size = bytes;
		unit = ' ';
    }
	
	// Single-digit numbers have greater precision
	var precision = 1; 
	if (size < 10) {
	    precision = 2;
	}
	size = Math.roundWithPrecision(size, precision);
    
	// Add the decimal if this is an integer
	if ((size % 1) == 0 && unit != ' bytes') {
		size = size + '.0';
	}

    return size + unit+unitS;
};



/*
 *   Converts file & folder byte size values to more  
 *   readable values (bytes, KB, MB, GB or TB).
 *
 *   @param integer bytes
 *   @returns string
 */
Math.formatBW = function(bytes) {
    var size;
    var unit;
    var unittxt;
    // Terabytes (TB).
    if ( bytes >= 1099511627776 ) { 
        size = bytes / 1099511627776;
		unit = 100000; 
		unittxt= 'T';
    // Gigabytes (GB).
    } else if ( bytes >= 1073741824 ) { 
        size = bytes / 1073741824;
		unit = '1000000000';
		unittxt= 'G';
    // Megabytes (MB).
    } else if ( bytes >= 1048576 ) { 
        size = bytes / 1048576;
		unit = 1000000;
		unittxt= 'M';
    // Kilobytes (KB).
    } else if ( bytes >= 1024 ) { 
        size = bytes / 1024;
		unit = 1000;
		unittxt= 'k';
    // The file is less than one KB
    } else {
        size = bytes;
		unit = 1;
		unittxt= '';
    }
	
	// Single-digit numbers have greater precision
	var precision = 1; 
	if (size < 10) {
	    precision = 2;
	}
	size = Math.roundWithPrecision(size, precision);
    
	// Add the decimal if this is an integer
	if ((size % 1) == 0 && unit != ' bytes') {
		size = size + '.0';
	}

    return Array(size,unit,unittxt);
};

/*
 *   Round a float to a specified number of decimal 
 *   places, stripping trailing zeroes
 *
 *   @param float floatnum
 *   @param integer precision
 *   @returns float
 */
Math.roundWithPrecision = function(floatnum, precision) {
    return Math.round ( floatnum * Math.pow ( 10, precision ) ) / Math.pow ( 10, precision );
};


function makeUnit(data){
	return Math.formatBytes(data*1000,"B");
}

function bandwidth(data){
		return Math.formatBytes(data,"");
}

function sortNumber(a, b)
{
return b - a;
}

function timeString(timesec){
	var timeStr="";
	days = Math.floor(timesec / (3600*24));
	hr = Math.floor((timesec - (days *3600*24)) / 3600);
	min = Math.floor((timesec - ((days *3600*24)+(hr*3600))) / 60);
	sec = Math.round(timesec - ((days *3600*24)+(hr*3600)+(min*60))) ;
	if (days > 0 )
		timeStr =  timeStr + days +" days ";
	if (hr > 0 )
		timeStr =  timeStr + hr +" hrs ";
	if (min > 0 )
		timeStr =  timeStr + min +" mins ";
	timeStr =  timeStr + sec +" s ";
	return timeStr;
}

function morphBar(el,val){
	barColor="#2EFE2E";
	if (val > 80)
		barColor="#FF0000";
	else if (val > 50)
		barColor="#DDCC00";
	
	$(el).morph('background:'+barColor+'; width:'+Math.round(val)+'px;');


}


function doBox(boxtitle){
	Modalbox.show($('dbox'), {title: boxtitle, width: 400,overlayClose:false,slideDownDuration:0.1,resizeDuration:0.1,overlayDuration:0.1});
}

function modalConfirm(dtxt,doYes){
	$('dbox').innerHTML="<p>Are you sure to " + dtxt + "?</p><input type='button' value='Yes!' onclick='eval(\"" + doYes + "\");Modalbox.hide();' /> or <input type='button' value='No' onclick='Modalbox.hide()' />";
	doBox("Confirmation!");
}

function modalInform(){
	$('dbox').innerHTML="<p class=centerme><img src='images/loading.gif'></p><p class=centerme>Processing...</p>";
	doBox("Please wait!");
}
function doCmdBox(boxtitle){
	Modalbox.show($('dbox2'), {title: boxtitle, width: 650,overlayClose:false,slideDownDuration:0.1,resizeDuration:0.1,overlayDuration:0.1});
}