<?
#################################################
# PHP RRD Grapher by Tan Suwandecha
# stan.rx [=at=] gmail.com
# This is distributed under GPL licence
#################################################

ini_set("display_errors",0);
header("Content-type: image/png");
header("Pragma: no-cache");
header("Cache-Control:  no-cache, must-revalidate");
header("Expires: -1");
$rra_dir="/home/sysadmin/data/mrtg/";
$rra_dir2="/home/sysadmin/data/mrtg-client/";
$rrd_bin="/usr/bin/rrdtool";
$rrd_format="PNG";
$now=date("d/m/y H:i:s");
if (isset($_GET['rrd']))
	$rrd=$_REQUEST['rrd'];
if (isset($_GET['s']))
	$istart=$_GET['s'];
if (isset($_GET['d0']))
	$d0=$_GET['d0'];
if (isset($_GET['d1']))
	$d1=$_GET['d1'];
if (isset($_GET['d1']))
	$d1=$_GET['d1'];
if (isset($_GET['title']))
	$title=$_GET['title'];
if (isset($_GET['ylabel']))
	$ylabel=$_GET['ylabel'];
if (isset($_GET['c1']))
	$c1=$_GET['c1'];
if (isset($_GET['c2']))
	$c2=$_GET['c2'];
if (isset($_GET['mode']))
	$mode=$_GET['mode'];
print rrd_img($rrd);


function rrd_img($uname){	
	global $rra_dir,$img_dir,$now,$rrd_bin,$rrd_format,$istart,$title,$ylabel,$d0,$d1,$c1,$c2,$mode,$rra_dir2;	
	$ylabel=$ylabel == ""? "bits per second":$ylabel;
	$d0=$d0==""?"Inbound":$d0;
	$d1=$d1==""?"Outbound":$d1;
	$title=$title==""?"Traffic Analysis":$title;
	$istart=trim($istart)=="" ? "18h" :$istart;
	$c1=$c1==""?"00EE00":$c1;
	$c2=$c2==""?"0000FF":$c2;
	
	//$uname=escapeshellarg($uname);
	$istart=escapeshellarg($istart);
	//$ylabel=escapeshellarg($ylabel);
	//$d0=escapeshellarg($d0);
	//$d1=escapeshellarg($d1);
	//$title=escapeshellarg($title);

	$bname=$rra_dir.$uname.".rrd";
	if (!file_exists($bname))
		$bname=$rra_dir2.$uname.".rrd";
	$im=$img_dir.$uname.".png";
	$rrdcall="$rrd_bin graph -  --imgformat=$rrd_format   -s now-$istart --title=\"$title ($now)\" -w 500 -h 120 ";
	$rrdcall.="--alt-autoscale-max  --lower-limit 0 --vertical-label \"$ylabel\"  --slope-mode "; 
	$rrdcall.="DEF:in=$bname:ds0:AVERAGE  DEF:out=$bname:ds1:AVERAGE ";
	if ($mode == "")
		$rrdcall.="CDEF:inp=in,8,* CDEF:outp=out,8,*  VRULE:1120687200#EE00EE: ";
	else
		$rrdcall.="CDEF:inp=in,1,* CDEF:outp=out,1,* VRULE:1120687200#EE00EE: ";
	$rrdcall.="AREA:inp#$c1:\"$d0 \" ";
	$rrdcall.="GPRINT:inp:MAX:\"Maximum\:%8.2lf%s\" GPRINT:inp:LAST:\"Current\:%8.2lf%s\" GPRINT:inp:AVERAGE:\"Average\:%8.2lf%s\l\"  ";
	$rrdcall.="LINE1:outp#$c2:\"$d1 \" ";
	$rrdcall.="GPRINT:outp:MAX:\"Maximum\:%8.2lf%s\" GPRINT:outp:LAST:\"Current\:%8.2lf%s\" GPRINT:outp:AVERAGE:\"Average\:%8.2lf%s\" ";
	
//echo $rrdcall;
	$fp = popen($rrdcall, "r");
	if (isset($fp)) {
		return  fpassthru($fp);
	}
}
?>
