<?
include_once("../include/readcfg.php");
readcfg();
function listIface(){
	global $cfg;

	foreach( $cfg as $key => $val){
		if (preg_match("/^WAN([1-4])\_(.*?)$/i",$key,$matches)){
			$wan[$matches[1]][$matches[2]]=$val;
		}
		
	}
	return $wan;
}
function lanIface(){
	global $cfg;

	foreach( $cfg as $key => $val){
		if (preg_match("/^LAN\_(.*?)$/i",$key,$matches)){
			$lan[$matches[1]]=$val;
		}
		
	}
	return $lan;
}

function getIfIP($iface){
	$retval=trim(exec("ip -f inet addr show  dev $iface  |grep inet"));
	if (preg_match("/\b(?:\d{1,3}\.){3}\d{1,3}\b/i",$retval,$matches))
		return($matches[0]);
	else
		return "";

}

function checkLink($ifaceName,&$detail  = NULL)
{
	$cmd = "ip link show dev $ifaceName";
	exec($cmd,$detail,$ret);
	return $ret;
}


function checkLinkv2(){
	$linkstat =Array();
	for ($i=1;$i<=4;$i++){
		$linkstat[$i]["stat"]=0;
		$linkstat[$i]["ping"]=0;
		$sumtime=0;
		$cnt=0;
		$wan=listIface();
		

		if (file_exists("/tmp/testpingwan$i.txt")){
			$lines = file("/tmp/testpingwan$i.txt");
			foreach ($lines as $line){

				if (preg_match("/.*?time[\=]([0-9,\.]+).*?\n/i",$line,$matches)){
					$sumtime+=$matches[1];
					$cnt++;
					
				}
				if (trim($line) != "")
					$linkstat[$i]["stat"]=1;
			}
			

			$cnt=$cnt==0?1:$cnt;
			$linkstat[$i]["ping"]=$sumtime/$cnt;
		}

		if ($wan[$i]["TYPE"] == "pppoe"){
			$linkstat[$i]["stat"]=checkLink("ppp10$i")==0?1:0;
		}
	}
	
	return $linkstat ;
}


function getAllIfaceBW(){
	$ifaceBW = Array();
	$handle = fopen("/proc/net/dev", "r");
	if ($handle) {
	    while (!feof($handle)) {
	        $buffer = fgets($handle, 4096);
			$pattern="/([a-z]+[0-9]+):([\ ]+|)([0-9]+)[\ ]+([0-9]+)([\ ]+[0-9]+){6}[\ ]+([0-9]+)[\ ]+([0-9]+)([\ ]+[0-9]+){5}(.*?)/i";
			if(preg_match($pattern,$buffer,$tmp_nic)){
				$ifaceInfo[$tmp_nic[1]]["BW"]=Array($tmp_nic[3],$tmp_nic[6],time());
				$ifaceInfo[$tmp_nic[1]]["STATUS"]=checkLink($tmp_nic[1]);
				$ifaceInfo[$tmp_nic[1]]["IP"]=getIfIP($tmp_nic[1]);

			}
			
	    }
		return $ifaceInfo;
	    fclose($handle);
	}
}
?>